Package Details: ksnip 1.8.2-2

Git Clone URL: https://aur.archlinux.org/ksnip.git (read-only, click to copy)
Package Base: ksnip
Description: Screenshot tool inspired by Windows Snipping Tool and made with Qt for Linux
Upstream URL: https://github.com/DamirPorobic/ksnip
Licenses: GPL
Conflicts: ksnip-git
Submitter: dracorp
Maintainer: dracorp
Last Packager: dracorp
Votes: 28
Popularity: 2.17
First Submitted: 2019-09-04 19:15
Last Updated: 2021-04-11 10:30

Latest Comments

1 2 3 Next › Last »

dracorp commented on 2021-04-11 10:15

@taylormia You are using Manjaro stable. Switch to unstable channel to use kimageannotator-0.4.2

TecMunky commented on 2021-04-07 00:07

perhaps it is time for me to look for another snipping tool. unless I can be reassured these "kImageAnnotator" issues won't keep cropping up.

taylormia commented on 2021-04-06 15:19

The 1.8.2-1 build is looking for kimageannotator 0.4.2 and errors out.

CMake Error at CMakeLists.txt:64 (find_package): Could not find a configuration file for package "kImageAnnotator" that is compatible with requested version "0.4.2".

Please resubmit with the correct version of kimageannotator. Thanks

MCOfficer commented on 2021-02-19 08:43

ksnip now requires kimageannotator 0.4.1, which again fails for manjaro users.

Nothing you can do about that, it's just the manjaro repo lagging behind. However, you could update your makedepends to kimageannotator>=0.4.1

MCOfficer commented on 2021-01-11 08:54

kimageannotator is now 0.4 in Manjaro stable; things are back to normal. Thank you!

dracorp commented on 2021-01-01 23:29

Manjaro users can switch to unstable branch: https://wiki.manjaro.org/index.php?title=Switching_Branches

Unstable branch: Unstable is synced several times a day with Arch package releases

madjoe commented on 2020-12-20 12:46

Manjaro users face serious issues with this package. The last update has failed since the library issue (Manjaro still didn't update the kimageannotator to 0.4 yet). Now I can't even remove the package, update it (even though pamac gives me the update option for it, that fails to complete), and I can't even run it (since it's not on my system). Seems like a major hickup.

mosgerila commented on 2020-12-18 21:28

@MCOfficer For Manjaro users, it cannot be compiled using kimageannotator-git and kcolorpicker-git. I deleted this version and installed ksnip-git.

MCOfficer commented on 2020-12-18 13:41

Manjaro users are currently having the opposite problem: the kimageannotator package has not been updated to 0.4 yet.

Gotta wait for that to find its way into the repos, or presumably use kimageannotator-git from the AUR.

noraj commented on 2020-12-13 14:07

To fix the library issue rebuild the package:

pikaur -Syu ksnip --rebuild